## libcrypto++ 5.6.0

=== debian/changelog ===
libcrypto++ (5.6.0-6) unstable; urgency=low

  * Fix sha256 assembly problem with signed address comparison, thanks to
    Ken Raeburn.
    (Closes: #585930)
  * Converted to dpkg-source format 3.0 (quilt).
  * Use mercurial-buildpackage for repository maintenance, so old
    repository does not exist any more.
  * Bumped Standards-Version to 3.8.4, no change.
  * Use misc:Depends debhelper macro for all packages.
  * Introduced a realclean target in debian/rules for cleaning up an
    interrupted build.
  * Build-depend on a proper quilt-handling version of dpkg-source instead
    of quilt itself.

 -- Jens Peter Secher <jps@debian.org>  Wed, 16 Jun 2010 23:50:50 +0200

libcrypto++ (5.6.0-5) unstable; urgency=low

  * Fix build failure on Hurd by using POSIX threads, thanks to Samuel
    Thibault.
    (Closes: #550786)

 -- Jens Peter Secher <jps@debian.org>  Fri, 16 Oct 2009 20:06:13 +0200

libcrypto++ (5.6.0-4) unstable; urgency=low

  * Inlcude missing testvector for AES, thanks to Nelson A. de Oliveira.
    (Closes: #549150)
  * Do not include .la file per request from Kartik Mistry.
  
 -- Jens Peter Secher <jps@debian.org>  Thu, 01 Oct 2009 22:08:44 +0200

libcrypto++ (5.6.0-3) unstable; urgency=low

  * Depend on generic automake package (at the time of writing version 11).
    (Closes: #543028)
  * Update the various package descriptions.
    (Closes: #531814)
  * Upgrate to debhelper version 7, using dh_prep instead of dh_clean -k.
  * Updated Standards-Version to 3.8.3, but retaining GNU style variables
    because they are passed to automake scripts.  Also correct
    "hppa-linux" to "hppa-linux-gnu".

 -- Jens Peter Secher <jps@debian.org>  Sat, 22 Aug 2009 19:55:04 +0200

libcrypto++ (5.6.0-2) unstable; urgency=low

  * Added a package with debug symbols.
  * Drop the DCRYPTOPP_DISABLE_ASM flag to avoid segfault in amule on
    i386.
    (Closes: #525071)

 -- Jens Peter Secher <jps@debian.org>  Tue, 28 Apr 2009 23:23:21 +0200

libcrypto++ (5.6.0-1) unstable; urgency=low

  * New upstream version.
    + Includes incompatible changes, so bumping the shared library number to 8
      (libtool version info 8:0:0).
    + The test data is now in its own directory, so this TestData directory
      is handled in debian/rules the same way that TestVectors is.
  * Link with pthread to avoid warning from dpkg-shlibdeps.
  * Avoid running the test suite twice by giving it its own target: check.

 -- Jens Peter Secher <jps@debian.org>  Tue, 07 Apr 2009 02:52:06 +0200

libcrypto++ (5.5.2-3) unstable; urgency=low

  * Use quilt instead of dpatch for patches, and describe how to use
    quilt in Debian.source (thanks to Russ Allbery).
  * Added a Vcs-Hg control filed to indicate the location of the public
    repository.
  * Bumped Standards-Version to 3.8.1.

 -- Jens Peter Secher <jps@debian.org>  Tue, 07 Apr 2009 00:51:49 +0200

libcrypto++ (5.5.2-2) unstable; urgency=low

  * Produce a pkg-config file for the development package.
    (Closes: #473090)
  * Use doc-bas section Programming.

 -- Jens Peter Secher <jps@debian.org>  Sat, 29 Mar 2008 17:37:32 +0100

libcrypto++ (5.5.2-1) unstable; urgency=low

  * New upstream version.
  * Increased SONAME from 6 to 7 because of API changes.
  * Fixed GCC 4.3 header include problem.
    (Closes: #455627)
  * Created symlinks from libcryptopp* to libcrypto++*, as requested in
    bug #448766.
  * Bumped debhelper version to 5.
  * Bumped Standards-Version to 3.7.3.

 -- Jens Peter Secher <jps@debian.org>  Tue, 11 Dec 2007 19:06:15 +0100

libcrypto++ (5.5-5) unstable; urgency=low

  * Create a symlink to /usr/include/cryptopp -> crypto++ to aid
    portability of client code.
    (Closes: #448766)
  * Bumped automake to 1.10 instead of 1.9 .
  
 -- Jens Peter Secher <jps@debian.org>  Sun, 11 Nov 2007 21:51:53 +0100

libcrypto++ (5.5-4) unstable; urgency=low

  * Use POSIX threads on GNU/kFreeBSD, thanks to Petr Salinger.
    (Closes: #433672)

 -- Jens Peter Secher <jps@debian.org>  Sun, 19 Aug 2007 10:02:37 +0200

libcrypto++ (5.5-3) unstable; urgency=high

  * Do not compile with -msse2 to avoid crash on Pentium II, thanks
    to Adeodato Simó.  Hence the high urgency.
    (Closes: #428150)
  * Use ${binary:Version} instead of ${Source-Version} to facilitate
    binNMU.
  * Do not ignore 'make clean' errors.
  
 -- Jens Peter Secher <jps@debian.org>  Sat, 30 Jun 2007 16:39:14 +0200

libcrypto++ (5.5-2) unstable; urgency=low

  * Use CURDIR throughout debian/rules to avoid buildd failures.

 -- Jens Peter Secher <jps@debian.org>  Tue, 29 May 2007 20:29:08 +0200

libcrypto++ (5.5-1) unstable; urgency=low

  * New upstream release.
  * Bumped SO name to 6.0.0 because of new namespaces and removed algorithms.
  * Updated man page and build scripts.
  * Only use header files to generate documentation because Doxygen
    otherwise chokes.

 -- Jens Peter Secher <jps@debian.org>  Sat, 12 May 2007 12:50:30 +0200

libcrypto++ (5.4-1) experimental; urgency=low

  * New upstream release.  
  * Removed all patches that have now been included upstream.
  * Now that things are stable with both Crypto++ and GCC, the shared
    library has a proper SO name.

 -- Jens Peter Secher <jps@debian.org>  Fri, 15 Dec 2006 23:32:46 +0100

libcrypto++ (5.2.1c2a-3) unstable; urgency=low

  * Patch source so that it compiles with GCC 4.1 .  More specifically,
    avoid mixing implicit calls to base classes and free-standing
    functions.
    (Closes: #356170)
  * Use LDFLAGS=-pthread to fix linking errors.

 -- Jens Peter Secher <jps@debian.org>  Thu, 16 Mar 2006 23:08:48 +0100

libcrypto++ (5.2.1c2a-2) unstable; urgency=low

  * Build-depend on a version of g++ that fixes PR c++/21123 which
    resulted in internal compiler errors on m68k, arm, and hppa
    (Closes: #343003)
  * Include an override to stop Lintian complaining about the name of the
    shared library.
  * Removed link in main headline of Doxygen generated documentaion since

