=== debian/control ===
Source: libcrypto++
Section: libs
Priority: optional
Maintainer: Jens Peter Secher <jps@debian.org>
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 7), dpkg (>= 1.15.5.6), automake, autoconf, libtool
Build-Depends-Indep: doxygen
Vcs-Hg: http://hg.debian.org/hg/collab-maint/libcrypto++
Homepage: http://www.cryptopp.com

Package: libcrypto++8
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: General purpose cryptographic library - shared library
 General purpose cryptographic library for C++.
 .
 This package contains the shared libraries and should only be
 installed if other packages depend on it.

Package: libcrypto++8-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libcrypto++8 (= ${binary:Version}), ${misc:Depends}
Description: General purpose cryptographic library - debug symbols
 General purpose cryptographic library for C++.
 .
 This package contains the debug symbols for the shared library and
 should only be installed if you debugging a program that uses the
 shared library.

Package: libcrypto++-dev
Architecture: any
Section: libdevel
Depends: libcrypto++8 (= ${binary:Version}), ${misc:Depends}
Description: General purpose cryptographic library - C++ development
 Crypto++ is library for creating C++ programs which use cryptographic
 algorithms.  The library uses a Pipes & Filters architecture with heavy
 use of templates and abstract base classes.  The cryptographic
 tools include:
  * Authenticated encryption schemes (GCM, CCM, EAX),
  * High speed stream ciphers (Panama, Sosemanuk, Salsa20, XSalsa20),
  * AES and candidates (Rijndael, RC6, MARS, Twofish, Serpent, CAST-256),
  * Other symmetric block ciphers (IDEA, Triple-DES, Camellia, SEED,
    RC5, Blowfish, TEA, XTEA, Skipjack, SHACAL-2),
  * Block cipher modes of operation (ECB, CBC, CTS, CFB, OFB, CTR),
  * Message authentication codes (VMAC, HMAC, CMAC, CBC-MAC, DMAC,
    Two-Track-MAC),
  * Hash functions (SHA-1, SHA-224, SHA-256, SHA-384, SHA-512, Tiger,
    WHIRLPOOL, RIPEMD-128, RIPEMD-256, RIPEMD-160, RIPEMD-320),
  * Public-key cryptography (RSA, DSA, ElGamal, NR, RW, LUC, LUCELG,
    DLIES, ESIGN),
  * Padding schemes for public-key systems (PKCS#1, OAEP, PSS, PSSR,
    EMSA2, EMSA5),
  * Key agreement schemes (DH, MQV, LUCDIF, XTR-DH),
  * Elliptic curve cryptography (ECDSA, ECNR, ECIES, ECDH, ECMQV),
  * Backwards compatibility algorithms (MD2, MD4, MD5, Panama Hash, DES,
    ARC4, SEAL 3.0, WAKE, WAKE-OFB, DESX, RC2, SAFER, 3-WAY, GOST,
    SHARK, CAST-128, Square),
  * Pseudo-random number generators,
 and a whole lot more.  Alternative libraries are libgcrypt and
 nettle.
 .
 This package contains the header files needed for developing using
 the Crypto++ class library.  It also includes the static library with
 libtool supoport, a utility for benchmarking and using the various
 Crypto++ routines, and finally it includes the test vectors for
 validating both the Crypto++ implementation and other implementations
 of these routines.

Package: libcrypto++-utils
Architecture: any
Section: utils
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libcrypto++-dev (= 5.2.1c2-1)
Description: General purpose cryptographic library - utilities and data files
 Crypto++ is library for creating C++ programs which use cryptographic
 algorithms.  The library uses a Pipes & Filters architecture with heavy
 use of templates and abstract base classes.  The cryptographic
 tools include:
  * Authenticated encryption schemes (GCM, CCM, EAX),
  * High speed stream ciphers (Panama, Sosemanuk, Salsa20, XSalsa20),
  * AES and candidates (Rijndael, RC6, MARS, Twofish, Serpent, CAST-256),
  * Other symmetric block ciphers (IDEA, Triple-DES, Camellia, SEED,
    RC5, Blowfish, TEA, XTEA, Skipjack, SHACAL-2),
  * Block cipher modes of operation (ECB, CBC, CTS, CFB, OFB, CTR),
  * Message authentication codes (VMAC, HMAC, CMAC, CBC-MAC, DMAC,
    Two-Track-MAC),
  * Hash functions (SHA-1, SHA-224, SHA-256, SHA-384, SHA-512, Tiger,
    WHIRLPOOL, RIPEMD-128, RIPEMD-256, RIPEMD-160, RIPEMD-320),
  * Public-key cryptography (RSA, DSA, ElGamal, NR, RW, LUC, LUCELG,
    DLIES, ESIGN),
  * Padding schemes for public-key systems (PKCS#1, OAEP, PSS, PSSR,
    EMSA2, EMSA5),
  * Key agreement schemes (DH, MQV, LUCDIF, XTR-DH),
  * Elliptic curve cryptography (ECDSA, ECNR, ECIES, ECDH, ECMQV),
  * Backwards compatibility algorithms (MD2, MD4, MD5, Panama Hash, DES,
    ARC4, SEAL 3.0, WAKE, WAKE-OFB, DESX, RC2, SAFER, 3-WAY, GOST,
    SHARK, CAST-128, Square),
  * Pseudo-random number generators,
 and a whole lot more.  Alternative libraries are libgcrypt and
 nettle.
 .
 This package includes a utility for benchmarking and using the
 various Crypto++ routines from the command line.  It also includes
 the test vectors for validating both the Crypto++ implementation and
 other implementations of these routines.

Package: libcrypto++-doc
Architecture: all
Section: doc
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libcrypto++-dev (<= 5.2.1c2-3)
Enhances: libcrypto++-dev
Description: General purpose cryptographic library - documentation
 Crypto++ is library for creating C++ programs which use cryptographic
 algorithms.  The library uses a Pipes & Filters architecture with heavy
 use of templates and abstract base classes.  The cryptographic
 tools include:
  * Authenticated encryption schemes (GCM, CCM, EAX),
  * High speed stream ciphers (Panama, Sosemanuk, Salsa20, XSalsa20),
  * AES and candidates (Rijndael, RC6, MARS, Twofish, Serpent, CAST-256),
  * Other symmetric block ciphers (IDEA, Triple-DES, Camellia, SEED,
    RC5, Blowfish, TEA, XTEA, Skipjack, SHACAL-2),
  * Block cipher modes of operation (ECB, CBC, CTS, CFB, OFB, CTR),
  * Message authentication codes (VMAC, HMAC, CMAC, CBC-MAC, DMAC,
    Two-Track-MAC),
  * Hash functions (SHA-1, SHA-224, SHA-256, SHA-384, SHA-512, Tiger,
    WHIRLPOOL, RIPEMD-128, RIPEMD-256, RIPEMD-160, RIPEMD-320),
  * Public-key cryptography (RSA, DSA, ElGamal, NR, RW, LUC, LUCELG,
    DLIES, ESIGN),
  * Padding schemes for public-key systems (PKCS#1, OAEP, PSS, PSSR,
    EMSA2, EMSA5),
  * Key agreement schemes (DH, MQV, LUCDIF, XTR-DH),
  * Elliptic curve cryptography (ECDSA, ECNR, ECIES, ECDH, ECMQV),
  * Backwards compatibility algorithms (MD2, MD4, MD5, Panama Hash, DES,
    ARC4, SEAL 3.0, WAKE, WAKE-OFB, DESX, RC2, SAFER, 3-WAY, GOST,
    SHARK, CAST-128, Square),
  * Pseudo-random number generators,
 and a whole lot more.  Alternative libraries are libgcrypt and
 nettle.
 .
 This package includes the HTML reference guide to the source code.
