## libcrypto++ 5.6.1

=== debian/changelog ===
libcrypto++ (5.6.1-6) unstable; urgency=low

  * Fix build failure with gcc-4.7 (closes: #668700) by adding missing 'this'
    references. Thanks to Matthias Klose <doko@debian.org> .
  * Update packaging bits.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 14 Apr 2012 20:21:41 +0200

libcrypto++ (5.6.1-5) unstable; urgency=low

  * New maintainer (closes: #628935).
  * salsa.patch from upstream to fix testcase FTBFS (closes: #628298).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 04 Jun 2011 20:15:34 +0200

libcrypto++ (5.6.1-4) unstable; urgency=low

  * Fix Pananma so that it works on armel, thanks to Wei Dai.
    (Closes: #619856)

 -- Jens Peter Secher <jps@debian.org>  Mon, 25 Apr 2011 21:13:50 +0200

libcrypto++ (5.6.1-3) unstable; urgency=low

  * Make debug packages conflict with each other because they all include
    usr/bin/cryptest.
    (Closes: #619527)
  * Removed obsolete README.source now that the package is in dpkg format
    3.0 (quilt).

 -- Jens Peter Secher <jps@debian.org>  Sun, 27 Mar 2011 23:56:51 +0200

libcrypto++ (5.6.1-2) unstable; urgency=low

  * Build for Wheezy, no change.
    (Closes: #599639)

 -- Jens Peter Secher <jps@debian.org>  Tue, 22 Mar 2011 04:51:04 +0100

libcrypto++ (5.6.1-1) experimental; urgency=low

  * New release, which changes the API of the library, so bumping the SO
    version to 9.
  * Patch for sha256 assembly is now included upstream.
  * Bumped Standards-Version to 3.9.1, no change.

 -- Jens Peter Secher <jps@debian.org>  Tue, 10 Aug 2010 21:26:54 +0200
