## libcrypto++ 5.6.1-5maemo1

=== debian/changelog ===
libcrypto++ (5.6.1-5maemo1) precise; urgency=low

  * For fremantle

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed, 31 Oct 2012 22:58:23 +0200

libcrypto++ (5.6.1-5build1) precise; urgency=low

  * No-change rebuild against current pkgbinarymangler to fix broken
    md5sums. (see LP #875466)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 29 Feb 2012 08:40:23 +0100
