=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: libcrypto++
 Section: libs
 Priority: optional
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
-Standards-Version: 3.9.3
-Build-Depends: debhelper (>= 8), dpkg (>= 1.15.5.6), automake, autoconf, libtool
+Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com> 
+Standards-Version: 3.9.2
+Build-Depends: debhelper, dpkg, automake, autoconf, libtool
 Build-Depends-Indep: doxygen
 Homepage: http://www.cryptopp.com
 
 Package: libcrypto++9
-Architecture: any
+Architecture: armel
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: General purpose cryptographic library - shared library
@@ -18,7 +18,7 @@
  installed if other packages depend on it.
 
 Package: libcrypto++9-dbg
-Architecture: any
+Architecture: armel
 Section: debug
 Priority: extra
 Depends: libcrypto++9 (= ${binary:Version}), ${misc:Depends}
@@ -31,7 +31,7 @@
  shared library.
 
 Package: libcrypto++-dev
-Architecture: any
+Architecture: armel
 Section: libdevel
 Depends: libcrypto++9 (= ${binary:Version}), ${misc:Depends}
 Description: General purpose cryptographic library - C++ development
@@ -67,7 +67,7 @@
  supoport.
 
 Package: libcrypto++-utils
-Architecture: any
+Architecture: armel
 Section: utils
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libcrypto++-dev (= 5.2.1c2-1)
@@ -105,7 +105,7 @@
  other implementations of these routines.
 
 Package: libcrypto++-doc
-Architecture: all
+Architecture: armel
 Section: doc
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libcrypto++-dev (<= 5.2.1c2-3)
