=== debian/rules ===
--- 
+++ 
@@ -78,9 +78,6 @@
 	touch $@
 
 # Build binaries.
-build-arch: build
-build-indep: build
-
 build: config build-stamp
 build-stamp:
 	$(MAKE)
@@ -99,7 +96,6 @@
 install-stamp: build
 	dh_testdir
 	dh_testroot
-	dh_prep
 	$(MAKE) install DESTDIR=$(destdir)
 	rm -f $(destdir)/usr/bin/cryptestcwd
 	mkdir -p $(destdir)/usr/share/crypto--
