## libcrypto++ 5.6.3

=== debian/changelog ===
libcrypto++ (5.6.3-8) unstable; urgency=high

  * Fix CVE-2016-7420 with compiling -DNDEBUG to prevent sensitive information
    leakage to core dumps when an assert() happens.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 16 Sep 2016 15:42:32 +0000

libcrypto++ (5.6.3-7) unstable; urgency=low

  * Prevent binary testing when only architecture independent packages are
    built (closes: #821176).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 15 Jul 2016 20:11:19 +0000

libcrypto++ (5.6.3-6) unstable; urgency=high

  * Backport last bit of CVE-2016-3995 fix, the Rijndael timing attack
    counter measure.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 13 Apr 2016 16:40:13 +0000

libcrypto++ (5.6.3-5) unstable; urgency=medium

  * Fix the Rijndael timing attack counter measure.
  * Fix FTBFS on M68k machines.
  * Update Standards-Version to 3.9.8 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 10 Apr 2016 09:14:31 +0000

libcrypto++ (5.6.3-4) unstable; urgency=low

  * Start the transition with upload to Sid.
  * Builds on x32 (closes: #813659).
  * Update Standards-Version to 3.9.7 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 03 Apr 2016 11:33:16 +0000

libcrypto++ (5.6.3-3) experimental; urgency=low

  * Backport upstream fixes:
    - fixed hang on ARM platforms in Integer::DivideThreeWordsByTwo,
    - work around issue on ARMEL in MultiplyTop and GCC,
    - increase range for GCC workaround on ARMEL,
    - fixed SecBlock append.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 09 Jan 2016 09:15:35 +0100

libcrypto++ (5.6.3-2) experimental; urgency=low

  * Only fix -doc package HTML path if it's built.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 21 Nov 2015 13:27:54 +0100

libcrypto++ (5.6.3-1) experimental; urgency=low

  * New major upstream release (closes: #739157).
  * Keep rebuildable.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 21 Nov 2015 09:25:03 +0100

libcrypto++ (5.6.3~rc6-1) experimental; urgency=low

  * New major upstream release candidate version.
  * Add CRYPTOPP_NO_UNALIGNED_DATA_ACCESS preprocessor flag to CXXFLAGS .
  * Add rdrand.cpp to library sources to compile.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 29 Oct 2015 19:44:06 +0100

libcrypto++ (5.6.3~rc4-1) experimental; urgency=low

  * New major upstream release candidate version.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 21 Sep 2015 20:10:14 +0200

libcrypto++ (5.6.3~rc3-1) experimental; urgency=low

  * New major upstream release candidate version.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 16 Sep 2015 19:47:57 +0200

libcrypto++ (5.6.3~rc2-2) experimental; urgency=low

  * Make co-installable with older versions.
  * Run doxygen only in the indep target.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 14 Sep 2015 20:06:20 +0200

libcrypto++ (5.6.3~rc2-1) experimental; urgency=low

  * New major upstream release release candidate version.
  * ABI transition from libcrypto++9v5 to libcrypto++6 .
  * Rewrite packaging and copyright.
  * Build with CRYPTOPP_INIT_PRIORITY=250 .
  * Symlink jquery.js to the packaged one.
  * Add watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 13 Sep 2015 15:55:30 +0200

libcrypto++ (5.6.1-9) unstable; urgency=low

  * Compile integer.cpp with -O1 on armel to prevent FTBFS (closes: #796297).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 12 Sep 2015 10:17:29 +0200

libcrypto++ (5.6.1-8) unstable; urgency=medium

  * Rename library to libcrypto++9v5 and the debug one to libcrypto++9-dbg
    for GCC 5 transition.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 12 Aug 2015 18:43:04 +0200

libcrypto++ (5.6.1-7) unstable; urgency=high

  * Fix CVE-2015-2141.
  * Update Standards-Version to 3.9.6 and debhelper level to 9 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 28 Jun 2015 12:34:20 +0000
